#include "ti86asm.inc"
#include "Ti86abs.inc"






.org _asm_exec_ram

;*********Shell Description**********

	nop
	jp yu

.dw $0000
.dw Title

;********End Description*************


yu:
    call    _runindicoff 
	call   _clrLCD
	
Met:
	ld a,(pos)
	inc a
	inc a
	inc a
	inc a
	inc a
	inc a
	inc a
	ld (pos),a
	jp test
Mer:
	ld a,(pos)
	dec a
	dec a
	dec a
	dec a
	dec a
	dec a
	dec a
	ld (pos),a

test:


	ld a,(pos)

	cp 1
	jp z,onsin
	cp 2
	jp z,oncos
	cp 3
	jp z,ontan
	cp 4
	jp z,oncsc
	cp 5
	jp z,onsec
	cp 6
	jp z,oncot
	cp 7
	jp z,onrad
	cp 0
	jp z,Met
	cp 8
	jp z,Mer





start:
  call _getkey
	cp  kUp
	jp	z,up
	cp  kDown
	jp	z,down
	cp	kExit
	jp	z,EExit
	cp  kEnter
	jp  z,teste
	jp	nz,start

teste:


	ld a,(pos)
	cp 1
	jp z,SIN
	cp 2
	jp z,COS
	cp 3
	jp z,TAN
	cp 4
	jp z,CSC
	cp 5
	jp z,SEC
	cp 6
	jp z,COT
	cp 7
	jp z,MMore




up:
	ld a,(pos)
	dec a
	ld (pos),a
	jp test
down:
	ld a,(pos)
	inc a
	ld (pos),a
	jp test

TOP:

	call _clrLCD  
  ld a,0
  ld (_penRow),a
  ld a,4
  ld (_penCol),a
  ld hl,Title
  call _vputs
  ld a,7
  ld (_penRow),a
  ld a,27
  ld (_penCol),a
  ld hl,SCT
  call _vputs
	ret



onsin:
	call TOP

    set textInverse,(iy+textflags)  
	call offsin
    res textInverse,(iy+textflags) 
	call offsec
	call offcos
	call offtan
	call offcot
	call offcsc
	call offrad
	jp start

oncos:
	call TOP
    set textInverse,(iy+textflags) 
	call offcos
    res textInverse,(iy+textflags) 
	call offsin
	call offsec
	call offtan
	call offcot
	call offcsc
	call offrad
	jp start
ontan:
	call TOP
    set textInverse,(iy+textflags) 
	call offtan
    res textInverse,(iy+textflags) 
	call offsin
	call offcos
	call offsec
	call offcot
	call offcsc
	call offrad
	jp start
oncsc:
	call TOP
    set textInverse,(iy+textflags) 
	call offcsc
    res textInverse,(iy+textflags) 
	call offsin
	call offcos
	call offtan
	call offcot
	call offrad
	call offsec
	jp start
onsec:
	call TOP
    set textInverse,(iy+textflags) 
	call offsec
    res textInverse,(iy+textflags) 
	call offsin
	call offcos
	call offtan
	call offcot
	call offcsc
	call offrad
	jp start
oncot:
	call TOP
    set textInverse,(iy+textflags) 
	call offcot
    res textInverse,(iy+textflags) 
	call offsin
	call offcos
	call offtan
	call offrad
	call offcsc
	call offsec
	jp start
onrad:
	call TOP
    set textInverse,(iy+textflags) 
	call offrad
    res textInverse,(iy+textflags) 
	call offsin
	call offcos
	call offtan
	call offcot
	call offcsc
	call offsec

	jp start

offrad:
	ld a,55
	ld (_penRow),a
	ld a,32
	ld (_penCol),a
	ld hl,Mrad
	call _vputs
	ret	
offsin:
	ld a,13
	ld (_penRow),a
	ld a,53
	ld (_penCol),a
	ld hl,Msin
	call _vputs
	ret
offcos:
	ld a,20
	ld (_penRow),a
	ld a,50
	ld (_penCol),a
	ld hl,Mcos
	call _vputs
	ret
offtan:
	ld a,27
	ld (_penRow),a
	ld a,47
	ld (_penCol),a
	ld hl,Mtan
	call _vputs
	ret
offcsc:
	ld a,34
	ld (_penRow),a
	ld a,46
	ld (_penCol),a
	ld hl,Mcsc
	call _vputs
	ret
offsec:
	ld a,41
	ld (_penRow),a
	ld a,50
	ld (_penCol),a
	ld hl,Msec
	call _vputs
	ret
offcot:
	ld a,48
	ld (_penRow),a
	ld a,44
	ld (_penCol),a
	ld hl,Mcot
	call _vputs
	ret
;*********end of menu*********

COS:
  call _clrLCD
  ld a,2
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,COs
  call _puts

  ld a,4
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,COs1
  call _puts

	call _getkey
	jp	test


	
TAN:
  call _clrLCD
  ld a,2
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,TAn
  call _puts

  ld a,4
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,TAn1
  call _puts

	call _getkey
	jp	test


SIN:
  call _clrLCD
  ld a,2
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,SIn
  call _puts

  ld a,4
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,SIn1
  call _puts

	call _getkey
	jp	test

CSC:
  call _clrLCD
  ld a,5
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,CSc1
  call _puts

  ld a,3
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,CSc
  call _puts
	call _getkey
	jp	test

SEC:

  call _clrLCD
  ld a,3
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,SEc
  call _puts
  ld a,5
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,SEc1
  call _puts
	call _getkey
	jp	test

COT:

  call _clrLCD
  ld a,5
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,COt1
  call _puts
  ld a,3
  ld (_curRow),a
  ld a,3
  ld (_curCol),a
  ld hl,COt
  call _puts
	call _getkey
	jp	test




MMore:
  call _clrLCD
  ld a,1
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li1
  call _vputs	
	
  ld a,7
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li3
  call _vputs	

  ld a,14
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li4
  call _vputs	

  ld a,21
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li5
  call _vputs	

  ld a,28
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li6
  call _vputs	

  ld a,35
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li7
  call _vputs	

  ld a,42
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li8
  call _vputs	

  ld a,49
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li9
  call _vputs	

  ld a,56
  ld (_penRow),a
  ld a,1
  ld (_penCol),a
  ld hl,Li10
  call _vputs	
	call _getkey
	jp	test

EExit:
  call _clrLCD
	ret
;+++++++++++++++++++++++++++++++++++++++++++
;+++++++++++++++++++++++Text++++++++++++++++
;+++++++++++++++++++++++++++++++++++++++++++

;******************************Standard measures*****************************
Li1:			 .db "Rad           |   COS       |  SIN      | TAN     |  DEG",0
Li3:			 .db "0                   |   1               | 0              | 0              |  0",0
Li4:			 .db "pi/6         |   {3/2   | 1/2      | {3/3  |  30",0
Li5:			 .db "pi/4         |   {2/2   | {2/2  | 1              |  45",0
Li6:			 .db "pi/3         |   1/2       | {3/2  | {3          |  60",0
Li7:			 .db "pi/2         |   0               | 1              | UND     |  90",0
Li8:			 .db "pi                 |   -1           | 0              | 0              |  180",0
Li9:			 .db "3pi/2     |   0               | -1          | UND     |  270",0
Li10:			 .db "2pi             |   1               | 0              | 0              |  360",0
;******************************************************************************

CSc:			 .db "Csc x =  hyp/opp",0
COt:			 .db "Cot x =  adj/opp",0
SEc:			 .db "Sec x =  hyp/adj",0
TAn:			 .db "Tan x =  opp/adj",0
SIn:			 .db "Sin x =  opp/hyp",0
COs:			 .db "Cos x =  adj/hyp",0

CSc1:			 .db "Csc x = Sec(90-x)",0
COt1:			 .db "Cot x = Tan(90-x)",0
SEc1:			 .db "Sec x = Csc(90-x)",0
TAn1:			 .db "Tan x = Cot(90-x)",0
SIn1:			 .db "Sin x = Cos(90-x)",0
COs1:			 .db "Cos x = Sin(90-x)",0

String:	   .db "Press a trigg key",0
pos:		.db 1
Title:     .db "***Bob Baxley's Trigg helper***",0	
seee:	   .db "  ",0

Msin:   		.db "Sine",0
Msec:			.db "Secant",0
Mcsc:			.db "Cosecant",0
Mcot:			.db "Cotangent",0
Mtan:			.db "Tangent",0
Mcos:			.db "Cosine",0
Mrad:			.db "Standard Measures",0

SCT:			.db "S=o/h - C=a/h - T=o/a",0


.end

END
                .db $12,0